Skip to main content
POST
/
v1
/
master-inbox
/
rooms
/
{roomId}
/
stories
Send a message to a chat room
curl --request POST \
  --url https://api.getmany.io/service/v1/master-inbox/rooms/{roomId}/stories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "message": "Hi, I'd like to discuss the project details.",
  "freelancerUid": "1621293360163461120"
}
EOF
{
  "data": {
    "storyId": "<string>",
    "userId": "<string>",
    "userName": "<string>",
    "userPhotoUrl": "<string>",
    "message": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

roomId
string
required

Body

application/json
message
string
required

Plain text message to send.

Example:

"Hi, I'd like to discuss the project details."

freelancerUid
string
required

UID of the freelancer whose OAuth credentials will be used to send the message.

Example:

"1621293360163461120"

Response

Message sent successfully

data
object
required